module PS2toHex( 
    input [6:0]bcd, 
    output reg [3:0]hex); 
    always @(*)
    begin
    //PS2 scan code to hexdecimal output
        case(bcd)        
        7'h45: hex = 4'h0; // "0"     
        7'h16: hex = 4'h1; // "1" 
        7'h1e: hex = 4'h2; // "2" 
        7'h26: hex = 4'h3; // "3" 
        7'h25: hex = 4'h4; // "4" 
        7'h2e: hex = 4'h5; // "5" 
        7'h36: hex = 4'h6; // "6" 
        7'h3d: hex = 4'h7; // "7" 
        7'h3e: hex = 4'h8; // "8"     
        7'h46: hex = 4'h9; // "9" 
        7'h1c: hex = 4'ha; // "a" 
        7'h32: hex = 4'hb; // "b" 
        7'h21: hex = 4'hc; // "c" 
        7'h23: hex = 4'hd; // "d" 
        7'h24: hex = 4'he; // "e" 
        7'h2b: hex = 4'hf; // "f" 

        endcase
    end
endmodule