module PS2to7seg( 
    input [6:0]bcd, 
    output reg [6:0]seg); 
    always @(*)
    begin
    //PS2 scan code to 7-segment display
        case(bcd)
//                        gfedcba        
        7'h45: seg = 7'b0111111; // "0"     
        7'h16: seg = 7'b0110000; // "1" 
        7'h1e: seg = 7'b1011011; // "2" 
        7'h26: seg = 7'b1001111; // "3" 
        7'h25: seg = 7'b1100110; // "4" 
        7'h2e: seg = 7'b1101101; // "5" 
        7'h36: seg = 7'b1111101; // "6" 
        7'h3d: seg = 7'b0000111; // "7" 
        7'h3e: seg = 7'b1111111; // "8"     
        7'h46: seg = 7'b1101111; // "9" 
        7'h1c: seg = 7'b1110111; // "a" 
        7'h32: seg = 7'b1111100; // "b" 
        7'h21: seg = 7'b0111001; // "c" 
        7'h23: seg = 7'b1011110; // "d" 
        7'h24: seg = 7'b1111001; // "e" 
        7'h2b: seg = 7'b1110001; // "f" 

        endcase
    end
endmodule